----------------------------------------------------------------------------------------
-- NOTE FOR LOCALIZATION: Class names in all caps should *never* be localized,
--	as they correspond to the second return value from UnitClass()
--	This is also the case for the fake class names for pets -- BEAST, IMP,
--	VOIDWALKER, SUCCUBUS, and FELHUNTER.
----------------------------------------------------------------------------------------

-- Version : German (by StarDust)
-- Last Update : 04/25/2006

if ( GetLocale() == "deDE" ) then

	-- Addon identification
	--DIVINEBLESSING_VERSION		= "";	-- taken from english localization

	-- Cosmos / Khaos registration
	DIVINEBLESSING_KHAOS_ID			= "DivineBlessing";
	DIVINEBLESSING_BUTTON_NAME		= "G\195\182ttliche Segnung";
	DIVINEBLESSING_BUTTON_SUBTITLE		= "Segnungs-Sets";
	DIVINEBLESSING_BUTTON_DESCRIPTION	= "G\195\182ttliche Segnung erlaubt es\nbestimmte Abfolgen von Buffs anzulegen\num so das Buffen von Gruppenmitgliedern\nzu vereinfachen.";
	--DIVINEBLESSING_BUTTON_ICON		= "Interface\\Icons\\Spell_Holy_SealOfFury";

	-- Slash commands
	SLASH_BLESS1				= "/segnen";
	SLASH_DIVINEBLESSING1			= "/g\195\182ttlichesegnung";
	SLASH_DIVINEBLESSING2			= "/gs";

	DIVINEBLESSING_CMD_RESET		= "reset";
	DIVINEBLESSING_CMD_RESETALL		= "resetall";

	-- Slash Command Regex
	--DIVINEBLESSING_REGEX_CHAT_COMMAND	= "^([^ ]+) (.+)$";

	-- Usage text
	DIVINEBLESSING_USAGE_MESSAGE = {
			[1]			= "|cffeeee66Benutzung der G\195\182ttliche Segnung:|r (|cffeeee66/gs|r kann anstelle von |cffeeee66/g\195\182ttlichesegnung|r verwendet werden).",
			[2]			= " |cffeeee66/g\195\182ttlichesegnung|r: Das Fenster mit den Einstellungen anzeigen/verbergen.",
			[3]			= " |cffeeee66/g\195\182ttlichesegnung help|r: Diesen Hilfetext anzeigen.",
			[4]			= " |cffeeee66/g\195\182ttlichesegnung reset <set>|r: Setzte das gew\195\164hlte Set auf dessen Ausganszustand zur\195\188ck.",
			[5]			= " |cffeeee66/g\195\182ttlichesegnung resetall|r: Setzte alle Sets auf dessen Ausganszustand zur\195\188ck.",
			[6]			= " |cffeeee66/segnen <Set>|r: Den n\195\164chsten Zauber im angegebenen Set ausf\195\188hren.",
			[7]			= " Zul\195\164ssige Setnamen:",
			[8]			= "     |cffeeee66party1|r - |cffeeee66party6|r f\195\188r Gruppensets",
			[9]			= "     |cffeeee66class1|r f\195\188r klassenbasiertes Buffen der Gruppe",
			[10]			= "     |cffeeee66raid1|r oder |cffeeee66raid2|r f\195\188r klassenbasiertes Buffen der Schlachtgruppe",
		};

	-- Messages
	DIVINEBLESSING_LOADED_FORMAT_STRING	= "|cffffff00G\195\182ttliche Segnung "..DIVINEBLESSING_VERSION.."|r |cffeeeeaageladen.|r|n  Gib |cffeeeeaa/g\195\182ttlichesegnung help|r ein um weitere Hilfe zu erhalten.";
	DIVINEBLESSING_MESSAGE_PREFIX		= "|cffeeee66[G\195\182ttliche Segnung]|r ";
	DIVINEBLESSING_RESET_MESSAGE		= "%s in den Ausgangszustand zur\195\188ckgesetzt";
	DIVINEBLESSING_RESETALL_MESSAGE		= "Alle Sets wurden auf deren Ausganszustand zur\195\188ckgesetzt.";
	DIVINEBLESSING_FMT_MISSED_MESSAGE	= "%s hat folgendes Ziel verfehlt:";

	-- Key Bindings
	BINDING_HEADER_DIVINEBLESSING 		= "G\195\182ttliche Segnung";
	BINDING_NAME_BLESSINGSET1 		= "Gruppen-Set 1 benutzen";
	BINDING_NAME_BLESSINGSET2 		= "Gruppen-Set 2 benutzen";
	BINDING_NAME_BLESSINGSET3 		= "Gruppen-Set 3 benutzen";
	BINDING_NAME_BLESSINGSET4 		= "Gruppen-Set 4 benutzen";
	BINDING_NAME_BLESSINGSET5 		= "Gruppen-Set 5 benutzen";
	BINDING_NAME_BLESSINGSET6 		= "Gruppen-Set 6 benutzen";
	BINDING_NAME_BLESSINGSETCLASS 		= "Klassen-Set benutzen";
	BINDING_NAME_BLESSINGSETRAID		= "Schlachtgruppen-Set 1 benutzen";
	BINDING_NAME_BLESSINGSETRAID2		= "Schlachtgruppen-Set 2 benutzen";
	BINDING_NAME_BLESSINGSHOW		= "Fenster mit Einstellungen ein/aus";

	-- Creature types
	DIVINEBLESSING_CREATURE_TYPE_BEAST	= "Bestie";
	DIVINEBLESSING_CREATURE_TYPE_DEMON	= "D\195\164mon";
	DIVINEBLESSING_CREATURE_FAMILIES_DEMONS	= 
		{
			["Wichtel"]		= "IMP",
			["Leerwandler"]		= "VOIDWALKER",
			["Sukkubus"]		= "SUCCUBUS",
			["Teufelsj\195\164ger"]	= "FELHUNTER",
		};

	-- Spell name localization
	DIVINEBLESSING_SPELL_BLESSING_OF_FREEDOM	= "Segen der Freiheit";
	DIVINEBLESSING_SPELL_BLESSING_OF_KINGS		= "Segen der K\195\182nige";
	DIVINEBLESSING_SPELL_BLESSING_OF_LIGHT		= "Segen des Lichts";
	DIVINEBLESSING_SPELL_BLESSING_OF_MIGHT		= "Segen der Macht";
	DIVINEBLESSING_SPELL_BLESSING_OF_PROTECTION	= "Segen des Schutzes";		-- to-verify
	DIVINEBLESSING_SPELL_BLESSING_OF_SACRIFICE	= "Segen der Opferung";		-- to-verify
	DIVINEBLESSING_SPELL_BLESSING_OF_SALVATION	= "Segen der Rettung";
	DIVINEBLESSING_SPELL_BLESSING_OF_SANCTUARY	= "Segen des Refugiums";
	DIVINEBLESSING_SPELL_BLESSING_OF_WISDOM		= "Segen der Weisheit";
	DIVINEBLESSING_SPELL_GBLESSING_OF_KINGS		= "Gro\195\159er Segen der K\195\182nige";
	DIVINEBLESSING_SPELL_GBLESSING_OF_LIGHT		= "Gro\195\159er Segen des Lichts";
	DIVINEBLESSING_SPELL_GBLESSING_OF_MIGHT		= "Gro\195\159er Segen der Macht";
	DIVINEBLESSING_SPELL_GBLESSING_OF_SALVATION	= "Gro\195\159er Segen der Rettung";
	DIVINEBLESSING_SPELL_GBLESSING_OF_SANCTUARY	= "Gro\195\159er Segen des Refugiums";
	DIVINEBLESSING_SPELL_GBLESSING_OF_WISDOM	= "Gro\195\159er Segen der Weisheit";
	DIVINEBLESSING_SPELL_ARCANE_INTELLECT		= "Arkane Intelligenz";
	DIVINEBLESSING_SPELL_ARCANE_BRILLIANCE		= "Arkane Brillanz";
	DIVINEBLESSING_SPELL_AMPLIFY_MAGIC		= "Magie verst\195\164rken"
	DIVINEBLESSING_SPELL_DAMPEN_MAGIC		= "Magied\195\164mpfer"
	DIVINEBLESSING_SPELL_POWER_WORD_FORTITUDE	= "Machtwort: Seelenst\195\164rke";
	DIVINEBLESSING_SPELL_PRAYER_OF_FORTITUDE	= "Gebet der Seelenst\195\164rke";
	DIVINEBLESSING_SPELL_DIVINE_SPIRIT		= "G\195\182ttlicher Willen";
	DIVINEBLESSING_SPELL_PRAYER_OF_SPIRIT		= "Gebet des Geistes";		-- to-verify
	DIVINEBLESSING_SPELL_POWER_WORD_SHIELD		= "Machtwort: Schild";
	DIVINEBLESSING_SPELL_SHADOW_PROTECTION		= "Schattenschutz";		-- to-verify
	DIVINEBLESSING_SPELL_PRAYER_OF_SHADOW_PROTECTION= "Gebet des Schattenschutzes";	-- to-verify
	DIVINEBLESSING_SPELL_RENEW			= "Erneuerung";
	DIVINEBLESSING_SPELL_ABOLISH_DISEASE		= "Krankheit Heilen";		-- to-verify
	DIVINEBLESSING_SPELL_POWER_INFUSION		= "Seele der Macht";		-- to-verify
	DIVINEBLESSING_SPELL_FEAR_WARD			= "Furchtbarriere";
	DIVINEBLESSING_SPELL_MARK_OF_THE_WILD		= "Mal der Wildnis";
	DIVINEBLESSING_SPELL_GIFT_OF_THE_WILD		= "Gabe der Wildnis";
	DIVINEBLESSING_SPELL_THORNS			= "Dornen";
	DIVINEBLESSING_SPELL_REJUVENATION		= "Verj\195\188ngung";
	DIVINEBLESSING_SPELL_REGROWTH			= "Nachwachsen";
	DIVINEBLESSING_SPELL_ABOLISH_POISON		= "Gift Heilen";		-- to -verify
	DIVINEBLESSING_SPELL_DETECT_LESSER_INVIS	= "Geringe Verstohlenheit Entdecken";	-- to-verify
	DIVINEBLESSING_SPELL_DETECT_INVIS		= "Verstohlenheit Entdecken";
	DIVINEBLESSING_SPELL_DETECT_GREATER_INVIS	= "Gro\195\159e Verstohlenheit Entdecken";
	DIVINEBLESSING_SPELL_UNENDING_BREATH		= "Unendlicher Atem";		-- to-verify

	-- Message localization
	DIVINEBLESSING_FMT_SETNAME_PARTY		= "Gruppen-Set %d";
	DIVINEBLESSING_FMT_SETNAME_PARTY_ONE		= "Gruppen-Set";
	DIVINEBLESSING_FMT_SETNAME_CLASS		= "Klassen-Set %d";
	DIVINEBLESSING_FMT_SETNAME_CLASS_ONE		= "Klassen-Set";
	DIVINEBLESSING_FMT_SETNAME_RAID			= "Schlachtgruppen-Set %d";
	DIVINEBLESSING_FMT_SETNAME_RAID_ONE		= "Schlachtgruppen-Set";
	DIVINEBLESSING_FMT_SETNAME_UNKNOWN		= "Unbekanntes Set %d";
	DIVINEBLESSING_FMT_SPELLRANK			= "Rang %d";
	DIVINEBLESSING_FMT_GROUP			= "Gruppe %d";
	DIVINEBLESSING_FMT_PETNAME			= "%s (%s's Begleiter)";
	DIVINEBLESSING_UNKNOWN_SPELL			= "UNBEKANNTER ZAUBER";
	DIVINEBLESSING_UNKNOWN_TARGET			= "UNBEKANNTES ZIEL";
	DIVINEBLESSING_CLASS_NAMES_PLURAL		=
		{
			["DRUID"]			= "Druiden",
			["HUNTER"]			= "J\195\164ger",
			["MAGE"]			= "Magier",
			["PALADIN"]			= "Paladine",
			["PRIEST"]			= "Priester",
			["ROGUE"]			= "Schurke",
			["SHAMAN"]			= "Schamanen",
			["WARLOCK"]			= "Hexenmeister",
			["WARRIOR"]			= "Krieger",
			["BEAST"]			= "Bestien",
			["IMP"]				= "Wichtel",
			["VOIDWALKER"]			= "Leerwandler",
			["SUCCUBUS"]			= "Sukkubus",
			["FELHUNTER"]			= "Teufelsj\195\164ger",
		};

	DIVINEBLESSING_FMT_CAST_SUCCESS			= "%s gezaubert auf %s";
	DIVINEBLESSING_FMT_CAST_SUCCESS_REM		= "%s gezaubert auf %s (%d verbleibend)";
	DIVINEBLESSING_FMR_CAST_SUCCESS_REM_0		= "%s gezaubert auf %s (Set Vollst\195\164ndig)";
	DIVINEBLESSING_FMT_CAST_FAILURE			= "%s nicht auf %s gezaubert";
	DIVINEBLESSING_FMT_CAST_FAILURE_REM		= "%s nicht auf %s gezaubert (%d verbleibend)";
	DIVINEBLESSING_FMT_CAST_FAILURE_REM_0		= "%s nicht auf %s gezaubert (Set Vollst\195\164ndig)";
	DIVINEBLESSING_FMT_SET_COMPLETED		= "%s Abgeschlossen";

	-- SYSMSG values to watch for casting failure
	DIVINEBLESSING_SPELLFAIL_NOTENOUGHMANA		= "Nicht genug Mana";
	DIVINEBLESSING_SPELLFAIL_INVALIDTARGET		= "Ung\195\188ltiges Ziel";
	DIVINEBLESSING_SPELLFAIL_LINEOFSIGHT		= "Ziel nicht in Sichtlinie";
	DIVINEBLESSING_SPELLFAIL_OUTOFRANGE		= "Au\195\159er Reichweite";

	-- Dialog localization
	DIVINEBLESSING_DIALOG_TITLE			= "|cffee9966G\195\182ttliche Segnung|r ("..DIVINEBLESSING_VERSION..")";
	DIVINEBLESSING_DIALOG_TAB_PARTY			= "Gruppe";
	DIVINEBLESSING_DIALOG_TAB_CLASS			= "Klasse";
	DIVINEBLESSING_DIALOG_TAB_RAID			= "Schlacht";
	DIVINEBLESSING_DIALOG_TAB_OPTIONS		= "Optionen";
	DIVINEBLESSING_DIALOG_TAB_HELP			= "Hilfe";
	DIVINEBLESSING_DIALOG_BUTTON_CLEAR		= "L\195\182schen";
	DIVINEBLESSING_DIALOG_BUTTON_RESET		= "R\195\188cksetzen";
	DIVINEBLESSING_DIALOG_BUTTON_OVERRIDE		= "Freundliche Ziele\n\195\188bergehen";
	DIVINEBLESSING_DIALOG_BUTTON_WAIT		= "Pause";
	DIVINEBLESSING_DIALOG_BUTTON_COMPLETION		= "Set-Vervollst\195\164ndigung melden";
	DIVINEBLESSING_DIALOG_BUTTON_SUCCESS		= "Abschluss melden";
	DIVINEBLESSING_DIALOG_BUTTON_FAILURE		= "Fehler melden";
	DIVINEBLESSING_DIALOG_BUTTON_REMAINING		= "Noch ausst\195\164ndige Zauber melden";
	DIVINEBLESSING_DIALOG_BUTTON_BANNER		= "Bannermeldung";
	DIVINEBLESSING_DIALOG_BUTTON_MISSED		= "Verfehlte Ziele melden";
	DIVINEBLESSING_DIALOG_BUTTON_REBUFF_MISSED	= "Ziel nachbuffen wenn von Mehrfach-Ziel Buffs verfehlt";
	DIVINEBLESSING_DIALOG_BUTTON_GROUPORDER		= "Schlachtgruppen nach Gruppenordnung statt ID buffen";
	DIVINEBLESSING_DIALOG_BUTTON_FIND_TARGET	= "Klassen/Gruppen in Reichweite buffen\nwenn Ziel au\195\159er Reichweite";
	DIVINEBLESSING_DIALOG_PET_BLESSING		= "Begleiter";
	DIVINEBLESSING_DIALOG_CLASS_BLESSING		= "Klassen";
	DIVINEBLESSING_DIALOG_RAID_BLESSING		= "Schlachtgruppen";
	DIVINEBLESSING_DIALOG_RAID_GROUPS		= "inkl. Gruppen";
	DIVINEBLESSING_DIALOG_FMT_GROUP			= "Gruppe %d";
	DIVINEBLESSING_MENU_CLOSE_MENU			= "Men\195\188 Schlie\195\159en";
	DIVINEBLESSING_MENU_NO_SPELL			= "kein Zauberspruch";
	DIVINEBLESSING_DIALOG_UNKNOWN_SPELL		= "[Unbekannter Zauberspruch]";
	DIVINEBLESSING_DIALOG_TARGET_NAMES		=
		{
			["player"]			= "Spieler",
			["party1"]			= "Gruppe 1",
			["party2"]			= "Gruppe 2",
			["party3"]			= "Gruppe 3",
			["party4"]			= "Gruppe4",
			["pet"]				= "Pet",
			["partypet1"]			= "Grp.Pet 1",
			["partypet2"]			= "Grp.Pet 2",
			["partypet3"]			= "Grp.Pet 3",
			["partypet4"]			= "Grp.Pet 4",
		}
	DIVINEBLESSING_DIALOG_CLASS_BUTTON_LABELS	=
		{
			["DRUID"]			= "Druide",
			["HUNTER"]			= "J\195\164ger",
			["MAGE"]			= "Magier",
			["PALADIN"]			= "Paladin",
			["PRIEST"]			= "Priester",
			["ROGUE"]			= "Schurke",
			["SHAMAN"]			= "Schamane",
			["WARLOCK"]			= "Hexenm.",
			["WARRIOR"]			= "Krieger",
			["IMP"]				= "Wichtel",
			["VOIDWALKER"]			= "Leerw.",
			["SUCCUBUS"]			= "Sukkub.",
			["FELHUNTER"]			= "Teufelsj.",
			["BEAST"]			= "Bestie",
			["ALL"]				= "Alle",
		};

end